API Guide Home (Online version only) |

# PmConnectorLib.h File Reference

## Detailed Description

palmOne library that exports multi-connector related APIs.

Definition in file PmConnectorLib.h.

Include dependency graph for PmConnectorLib.h:

Go to the source code of this file.

## Defines

- #define PMCONNECTOR_LIB_TRAP(trapNum) SYS_TRAP(trapNum)

## Functions

- Err PmConnectorLibOpen (UInt16 refNum)(kPmConnectorLibTrapOpen)
    Standard library open routine.
- Err PmConnectorLibClose (UInt16 refNum)(kPmConnectorLibTrapClose)
    Standard library close routine.
- Err PmConnectorLibSleep (UInt16 refNum)(kPmConnectorLibTrapSleep)
    Standard library sleep routine.
- Err PmConnectorLibWake (UInt16 refNum)(kPmConnectorLibTrapWake)
    Standard library wake routine.
- Err PmConnectorLibGetVersion (UInt16 refNum, UInt32 sdkVersion, UInt32 *LibVersionP)(kPmConnectorLibTrapGetVersion)
    Checks the version of the library present on the device.
- Err PmConnectorLibControl (UInt16 refNum, UInt16 cmdId, void *parmP)(kPmConnectorLibTrapControl)
    Controls the pins on the connector. Currently supports power on and off.
- Err PmConnectorLibSetAudioOutput (UInt16 refNum, PmConnectorAudioOutputSettingType outputSetting)(kPmConnectorLibTrapSetAudioOutput)
    Targets audio output to different audio peripherals.
- Err PmConnectorLibSetAudioInput (UInt16 refNum, PmConnectorAudioInputSettingType inputSetting)(kPmConnectorLibTrapSetAudioInput)
    Targets audio input from different audio peripherals.

## Define Documentation

#define PMCONNECTOR_LIB_TRAP | ( | trapNum |  | ) | SYS_TRAP(trapNum)

Definition at line 26 of file PmConnectorLib.h.

## Function Documentation

Err PmConnectorLibClose | ( | UInt16 | refNum | ) |

Standard library close routine.

Parameters:

  | refNum,: | IN: library reference number

Return values:

  | Err | Error code.

Err PmConnectorLibControl | ( | UInt16 | refNum,
|  | UInt16 | cmdId,
|  | void * | parmP |
| ) |  |  |

Controls the pins on the connector. Currently supports power on and off.

Parameters:

  | refNum,: | IN: library reference number
  | cmdId,: | IN: type of control.

See also:
  PmConnectorLibControlType

Parameters:

  | parmP,: | IN: contains the value needed depending on type of control

Return values:

  | Err | Error code.

Err PmConnectorLibGetVersion | ( | UInt16 | refNum,
|  | UInt32 | sdkVersion,
|  | UInt32 * | LibVersionP |
| ) |  |  |

Checks the version of the library present on the device.

Parameters:

  | refNum,: | IN: library reference number
  | sdkVersion,: | IN: sdkVersion defined in the common header file
  | LibVersionP,: | IN: version of the library on the device

Return values:

  | Err | Error code. Function returns error when it finds incompatible library

Err PmConnectorLibOpen | ( | UInt16 | refNum | ) |

Standard library open routine.

Parameters:

  | refNum,: | IN: library reference number

Return values:

  | Err | Error code.

Err PmConnectorLibSetAudioInput | ( | UInt16 | refNum,
|  | PmConnectorAudioInputSettingType | inputSetting |
| ) |  |  |

Targets audio input from different audio peripherals.

Parameters:

  | refNum | IN: library reference number
  | inputSetting,: | IN: audio capabilities (headset etc)

Return values:

  | Err | Error code.

Err PmConnectorLibSetAudioOutput | ( | UInt16 | refNum,
|  | PmConnectorAudioOutputSettingType | outputSetting |
| ) |  |  |

Targets audio output to different audio peripherals.

Parameters:

  | refNum | IN: library reference number
  | outputSetting,: | IN: audio capabilities (headphone, speaker, etc)

Return values:

  | Err | Error code.

Err PmConnectorLibSleep | ( | UInt16 | refNum | ) |

Standard library sleep routine.

Parameters:

  | refNum,: | IN: library reference number

Return values:

  | Err | Error code.

Err PmConnectorLibWake | ( | UInt16 | refNum | ) |

Standard library wake routine.

Parameters:

  | refNum,: | IN: library reference number

Return values:

  | Err | Error code.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:00 2008 for Palm API Guide